#include <iostream>
#include <ctime>
#include "methods.h"

int main() {
    std::srand(std::time(0));
    createDataStream();
    createDataGenerate();
    std::deque<float> deq = loadDataStream<std::deque<float>>("data.txt");
    std::list<float> l = loadDataStream<std::list<float>>("data.txt");
    for (const auto& el : l)
        std::cout << el << " ";
    std::cout << std::endl << std::endl;
    std::vector<float> vec = loadDataIterator<std::vector<float>>("data.txt");
    for (const auto& el : vec)
        std::cout << el << " ";
    std::cout << std::endl << std::endl;
    std::deque<float> temp_deq = modifyTemplate(deq);
    for (const auto& el : temp_deq)
        std::cout << el << " ";
    std::vector<float> temp_vec(100);
    modifyIter(vec.begin(), vec.end(), temp_vec.begin());
    modifyForEach(vec);
    modifyTransform("data.txt", "data2.txt");
    outputResultStream("data.txt", temp_deq);
}
